Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.medera.info/llms.txt

Use this file to discover all available pages before exploring further.

1. Create a co-therapy session

curl -X POST https://api.medera.ai/api/co-therapy-sessions \
  -H "Authorization: Bearer $TOKEN" \
  -d '{
    "patientId": "pat_abc",
    "providers": ["prv_xyz"],
    "scheduledStart": "2026-05-28T15:00:00Z",
    "scheduledDurationMinutes": 50,
    "videoPlatform": "telehealth",
    "recordingEnabled": true,
    "deploymentId": "dep_abc"
  }'

2. Start the session

curl -X POST https://api.medera.ai/api/co-therapy-sessions/{id}/start \
  -H "Authorization: Bearer $TOKEN"

3. Run multimodal analysis (post-session)

curl -X POST https://api.medera.ai/api/multimodal-therapy/analyze-session \
  -H "Authorization: Bearer $TOKEN" \
  -F "session_id={id}" \
  -F "audio_file=@session.wav" \
  -F "video_file=@session.mp4" \
  -F "transcript=The patient reports..." \
  -F "duration_seconds=2400" \
  -F "patient_id=pat_abc"
The response includes:
  • facial.* — HR, BP, HRV, RR, stress (PhysiologicalSignals dataclass)
  • vocal.* — F0, jitter, shimmer, HNR, MFCC, depression / anxiety / distress indices
  • rdoc.constructs[] — 15 named constructs with score, confidence, contributors
  • clinical_context.* — RAG-retrieved evidence with citations